Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.settings/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.editor.settings
Class FontColorSettings

    java.lang.Object
      org.netbeans.api.editor.settings.FontColorSettings

    public abstract class FontColorSettings

extends Object

Fonts and Colors settings are represented by map of key=<String>fonts and colors syntax name and value=AttributeSet.
The keys for returned AttributeSet are defined by `StyleConstants` and `EditorStyleConstants`
Supported keys for FontColorSettings are:

1. StyleConstants.FontFamily
2. StyleConstants.FontSize
3. StyleConstants.Bold
4. StyleConstants.Italic
5. StyleConstants.Foreground
6. StyleConstants.Background
7. StyleConstants.Underline
8. StyleConstants.StrikeThrough
9. and all attributes defined in `EditorStyleConstants`

Instances of this class should be retrieved from the `MimeLookup` for a given mime-type.
This class must NOT be extended by any API clients

Field Summary
`static String` | `PROP_FONT_COLORS`

Constructor Summary
`FontColorSettings()` Construction prohibited for API clients.

Method Summary
`abstract AttributeSet` | `getFontColors(String settingName)` Gets the font and colors.
`abstract AttributeSet` | `getTokenFontColors(String tokenName)` Gets the token font and colors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_FONT_COLORS

    public static final String PROP_FONT_COLORS

See Also:
  Constant Field Values

Constructor Detail

### FontColorSettings

    public FontColorSettings()

  Construction prohibited for API clients.

Method Detail

### getFontColors

    public abstract AttributeSet getFontColors(String settingName)

  Gets the font and colors.

  Parameters:
    `settingName` - font and colors setting name
  Returns:
    AttributeSet describing the font and colors.

### getTokenFontColors

    public abstract AttributeSet getTokenFontColors(String tokenName)

  Gets the token font and colors.

  Parameters:
    `tokenName` - token name
  Returns:
    AttributeSet describing the font and colors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.settings/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.